Subject: [Emu] possible update to EAP-TLS standard

From: "Mckay, Clinton E" <[email-masked]>
Date: Thu, 17 Jul 2014 17:48:01 +0000

Although I see that the EMU WG concluded earlier this year, I'd like to ask those on this mail list to consider whether an update to RFC 5216 may be worth pursuing.

Wireless LAN deployments commonly leverage the EAP-TLS standard. The IEEE took steps earlier this year to raise the bar for wireless security through publishing the new 802.11ac standard.

RFC 5216 currently requires TLS 1.0, and the only mandatory cipher suite specified is TLS_RSA_WITH_3DES_EDE_CBC_SHA. I'd like to suggest updating the standard in a manner that also requires mandatory support for TLS 1.2 and ECDHE_ECDSA AEAD cipher suites.

Best regards,

Clint

Clint McKay

NSA Information Assurance